%{?nodejs_find_provides_and_requires}

Name:           nodejs-iconv
Version:        2.2.3
Release:        2%{?dist}
Summary:        Text recoding in JavaScript for fun and profit

License:        ISC
URL:            https://github.com/bnoordhuis/node-iconv
Source0:        https://registry.npmjs.org/iconv/-/iconv-%{version}.tgz
# Workaround some differences in glibc's iconv vs libiconv
Patch0:         nodejs-iconv-glibc.patch
ExclusiveArch:  %{nodejs_arches}

BuildRequires:  nodejs-devel
BuildRequires:  node-gyp

BuildRequires:  npm(nan) >= 2.2.1
BuildRequires:  npm(tap)

%{?nodejs_default_filter}


%description
%{summary}.


%prep
%autosetup -p 1 -n package
%nodejs_fixdep --dev --move nan
rm -rf deps support node_modules


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
node-gyp rebuild -- -Dnode_iconv_use_system_libiconv=1


%install
mkdir -p %{buildroot}%{nodejs_sitearch}/iconv/build/Release
cp -pr package.json lib %{buildroot}%{nodejs_sitearch}/iconv
install -p -m755 build/Release/iconv.node %{buildroot}%{nodejs_sitearch}/iconv/build/Release
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
mkdir test/tmp
%{nodejs_sitelib}/tap/bin/tap.js test/test-*.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitearch}/iconv


%changelog
* Tue Jun 06 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 2.2.3-2
- Rebuild for Node.js v8.0.0

* Wed Apr  5 2017 Tom Hughes <tom@compton.nu> - 2.2.3-1
- Update to 2.2.3 upstream release

* Tue Apr  4 2017 Tom Hughes <tom@compton.nu> - 2.2.2-1
- Update to 2.2.2 upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Tom Hughes <tom@compton.nu> - 2.2.1-2
- Rebuild for Node.js 6.5.0

* Thu Jun 16 2016 Tom Hughes <tom@compton.nu> - 2.2.1-1
- Update to 2.2.1 upstream release

* Mon May 09 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.2.0-1.1
- Rebuild for Node.js 6.1.0 upgrade

* Wed Apr 27 2016 Tom Hughes <tom@compton.nu> - 2.2.0-1
- Update to 2.2.0 upstream release

* Tue Mar 29 2016 Tom Hughes <tom@compton.nu> - 2.1.11-8
- Rebuild for Node.js 5.x

* Wed Mar 23 2016 Tom Hughes <tom@compton.nu> - 2.1.11-7
- Rebuild for Node.js 4.4.x

* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 2.1.11-6
- Rebuild for Node.js 4.3.x

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec  4 2015 Tom Hughes <tom@compton.nu> - 2.1.11-4
- Rebuild for nodejs 4.2.3

* Wed Dec  2 2015 Tom Hughes <tom@compton.nu> - 2.1.11-3
- Rebuild for nodejs 4.2

* Wed Nov 25 2015 Tom Hughes <tom@compton.nu> - 2.1.11-2
- Fix rpmlint and checksec warnings
- Make npn(nan) a build time dependency only

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 2.1.11-1
- Initial build of 2.1.11
